Bug 757268

Summary: preupgrade added translated localized message in grub configuration file
Product: [Fedora] Fedora Reporter: Hajime Taira <htaira>
Component: preupgradeAssignee: Richard Hughes <hughsient>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 17CC: hughsient
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-07-29 21:55:11 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Hajime Taira 2011-11-25 22:44:14 EST
Description of problem:
preupgrade added translated localized message in grub configuration file

Version-Release number of selected component (if applicable):
preupgrade-1.1.10-1.fc15.noarch

How reproducible:
Run preupgrade GUI interface in Japanese environment(or other language)
Complete preupgrade, and reboot.
  
Actual results:
boot entry in /boot/grub/grub.conf
title Fedora 16 (Verne) へアップグレードする
	kernel /upgrade/vmlinuz preupgrade repo=hd::/var/cache/yum/preupgrade ks=hd:UUID=17221f62-ab99-4761-abce-7f0b950ac079:/upgrade/ks.cfg
	initrd /upgrade/initrd.img

Expected results:
boot entry in /boot/grub/grub.conf
title Upgrade to Fedora 16 (Verne)
	kernel /upgrade/vmlinuz preupgrade repo=hd::/var/cache/yum/preupgrade ks=hd:UUID=17221f62-ab99-4761-abce-7f0b950ac079:/upgrade/ks.cfg
	initrd /upgrade/initrd.img

Additional info:
I propose following changes.

preupgrade/__init__.py (source from git.fedorahosted.org)
729     def add_boot_target(self, extra_args=''):
730         mykernel  = self.bootpath  + '/' + os.path.basename(self.kernel)
731         myinitrd = self.bootpath + '/' + os.path.basename(self.initrd)
732         arch = self.conf.yumvar['basearch']
733         argstr = "preupgrade"
734         if extra_args:
735             argstr += " " + extra_args
736         title = _("Upgrade to %s") % self.pu_release

line 736 in preupgrade/__init__.py please change to following
736         title = "Upgrade to %s" % self.pu_release
Comment 1 Hajime Taira 2012-03-13 01:24:50 EDT
Hey, package maintener! How about it?
Comment 2 Hajime Taira 2012-08-07 01:34:40 EDT
on Fedora 17, Not yet fix.
Comment 3 Fedora End Of Life 2013-07-03 18:37:43 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.